# GetOnboardingRequirements POST https://api-demo.brij.fi/brij.core.v1.customer.Service/GetOnboardingRequirements Content-Type: application/json Get onboarding requirements and current compliance status. Reference: https://docs.brij.fi/api/brij-customer-api/brij-core-v-1-customer-service-get-onboarding-requirements ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: customer-api version: 1.0.0 paths: /brij.core.v1.customer.Service/GetOnboardingRequirements: post: operationId: brij-core-v-1-customer-service-get-onboarding-requirements summary: GetOnboardingRequirements description: Get onboarding requirements and current compliance status. tags: - '' parameters: - name: X-API-Key in: header required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: >- #/components/schemas/brij.core.v1.customer.GetOnboardingRequirementsResponse requestBody: content: application/json: schema: $ref: >- #/components/schemas/brij.core.v1.customer.GetOnboardingRequirementsRequest servers: - url: https://api-demo.brij.fi - url: https://api.brij.fi components: schemas: brij.core.v1.customer.GetOnboardingRequirementsRequest: type: object properties: {} title: brij.core.v1.customer.GetOnboardingRequirementsRequest brij.core.v1.customer.CustomerRequirement.AttestationRequirement.TermsConfig: type: object properties: termsUrl: type: string privacyPolicyUrl: type: string title: >- brij.core.v1.customer.CustomerRequirement.AttestationRequirement.TermsConfig BrijCoreV1CustomerCustomerRequirementAttestationRequirement0: type: object properties: terms: $ref: >- #/components/schemas/brij.core.v1.customer.CustomerRequirement.AttestationRequirement.TermsConfig required: - terms title: BrijCoreV1CustomerCustomerRequirementAttestationRequirement0 brij.core.v1.customer.CustomerRequirement.AttestationRequirement: oneOf: - $ref: >- #/components/schemas/BrijCoreV1CustomerCustomerRequirementAttestationRequirement0 title: brij.core.v1.customer.CustomerRequirement.AttestationRequirement BrijCoreV1CustomerCustomerRequirement0: type: object properties: attestationRequirement: $ref: >- #/components/schemas/brij.core.v1.customer.CustomerRequirement.AttestationRequirement required: - attestationRequirement title: BrijCoreV1CustomerCustomerRequirement0 brij.data.v1.DataType: type: string enum: - EMAIL - PHONE - NAME - ID_DOCUMENT - OCCUPATION - BANK_ACCOUNT - SELFIE - BIRTH_DATE - NATIONALITY - TAX_ID - CRYPTO_WALLET - RESIDENTIAL_ADDRESS - INTERMEDIARY - EMPLOYMENT_STATUS - ACCOUNT_PURPOSE - EXPECTED_MONTHLY_PAYMENTS - SOURCE_OF_FUNDS - LAST_OCCUPATION - PROOF_OF_ADDRESS title: brij.data.v1.DataType BrijDataV1AccountPurpose0: type: object properties: other: type: string required: - other title: BrijDataV1AccountPurpose0 brij.data.v1.AccountPurpose.Type: type: string enum: - INVESTMENT - SAVINGS - PAYMENTS - REMITTANCES - EXPENSES - FREELANCING - SALARY title: brij.data.v1.AccountPurpose.Type BrijDataV1AccountPurpose1: type: object properties: type: $ref: '#/components/schemas/brij.data.v1.AccountPurpose.Type' required: - type title: BrijDataV1AccountPurpose1 brij.data.v1.AccountPurpose: oneOf: - $ref: '#/components/schemas/BrijDataV1AccountPurpose0' - $ref: '#/components/schemas/BrijDataV1AccountPurpose1' title: brij.data.v1.AccountPurpose BrijCoreV1CustomerData0: type: object properties: accountPurpose: $ref: '#/components/schemas/brij.data.v1.AccountPurpose' required: - accountPurpose title: BrijCoreV1CustomerData0 brij.data.v1.BankAccount.Ach: type: object properties: accountNumber: type: string routingNumber: type: string title: brij.data.v1.BankAccount.Ach BrijDataV1BankAccount0: type: object properties: ach: $ref: '#/components/schemas/brij.data.v1.BankAccount.Ach' required: - ach title: BrijDataV1BankAccount0 brij.data.v1.BankAccount.Clabe: type: object properties: accountNumber: type: string title: brij.data.v1.BankAccount.Clabe BrijDataV1BankAccount1: type: object properties: clabe: $ref: '#/components/schemas/brij.data.v1.BankAccount.Clabe' required: - clabe title: BrijDataV1BankAccount1 brij.data.v1.BankAccount.Iban: type: object properties: accountNumber: type: string country: type: string bic: type: string title: brij.data.v1.BankAccount.Iban BrijDataV1BankAccount2: type: object properties: iban: $ref: '#/components/schemas/brij.data.v1.BankAccount.Iban' required: - iban title: BrijDataV1BankAccount2 brij.data.v1.BankAccount.Nuban: type: object properties: accountNumber: type: string bankCode: type: string title: brij.data.v1.BankAccount.Nuban BrijDataV1BankAccount3: type: object properties: nuban: $ref: '#/components/schemas/brij.data.v1.BankAccount.Nuban' required: - nuban title: BrijDataV1BankAccount3 BrijDataV1BankAccountPix0: type: object properties: brCode: type: string required: - brCode title: BrijDataV1BankAccountPix0 BrijDataV1BankAccountPix1: type: object properties: pixKey: type: string required: - pixKey title: BrijDataV1BankAccountPix1 brij.data.v1.BankAccount.Pix: oneOf: - $ref: '#/components/schemas/BrijDataV1BankAccountPix0' - $ref: '#/components/schemas/BrijDataV1BankAccountPix1' title: brij.data.v1.BankAccount.Pix BrijDataV1BankAccount4: type: object properties: pix: $ref: '#/components/schemas/brij.data.v1.BankAccount.Pix' required: - pix title: BrijDataV1BankAccount4 brij.data.v1.BankAccount: oneOf: - $ref: '#/components/schemas/BrijDataV1BankAccount0' - $ref: '#/components/schemas/BrijDataV1BankAccount1' - $ref: '#/components/schemas/BrijDataV1BankAccount2' - $ref: '#/components/schemas/BrijDataV1BankAccount3' - $ref: '#/components/schemas/BrijDataV1BankAccount4' title: brij.data.v1.BankAccount BrijCoreV1CustomerData1: type: object properties: bankAccount: $ref: '#/components/schemas/brij.data.v1.BankAccount' required: - bankAccount title: BrijCoreV1CustomerData1 brij.data.v1.BirthDate: type: object properties: date: type: string description: 'ISO 8601 format: YYYY-MM-DD' title: brij.data.v1.BirthDate BrijCoreV1CustomerData2: type: object properties: birthDate: $ref: '#/components/schemas/brij.data.v1.BirthDate' required: - birthDate title: BrijCoreV1CustomerData2 brij.data.v1.CryptoWallet.Type: type: string enum: - SOLANA - BITCOIN - ETHEREUM - BSC - POLYGON - ARBITRUM - BASE - OPTIMISM - AVALANCHEC - AVALANCHEX - TRON - TON title: brij.data.v1.CryptoWallet.Type brij.data.v1.CryptoWallet: type: object properties: address: type: string description: Wallet address (e.g., Base58 for Solana) type: $ref: '#/components/schemas/brij.data.v1.CryptoWallet.Type' description: Type of blockchain wallet title: brij.data.v1.CryptoWallet BrijCoreV1CustomerData3: type: object properties: cryptoWallet: $ref: '#/components/schemas/brij.data.v1.CryptoWallet' required: - cryptoWallet title: BrijCoreV1CustomerData3 brij.data.v1.Email: type: object properties: value: type: string title: brij.data.v1.Email BrijCoreV1CustomerData4: type: object properties: email: $ref: '#/components/schemas/brij.data.v1.Email' required: - email title: BrijCoreV1CustomerData4 BrijDataV1EmploymentStatus0: type: object properties: other: type: string required: - other title: BrijDataV1EmploymentStatus0 brij.data.v1.EmploymentStatus.Type: type: string enum: - EMPLOYED - SELF_EMPLOYED - BUSINESS_OWNER - RETIRED - UNEMPLOYED - HOMEMAKER - STUDENT title: brij.data.v1.EmploymentStatus.Type BrijDataV1EmploymentStatus1: type: object properties: type: $ref: '#/components/schemas/brij.data.v1.EmploymentStatus.Type' required: - type title: BrijDataV1EmploymentStatus1 brij.data.v1.EmploymentStatus: oneOf: - $ref: '#/components/schemas/BrijDataV1EmploymentStatus0' - $ref: '#/components/schemas/BrijDataV1EmploymentStatus1' title: brij.data.v1.EmploymentStatus BrijCoreV1CustomerData5: type: object properties: employmentStatus: $ref: '#/components/schemas/brij.data.v1.EmploymentStatus' required: - employmentStatus title: BrijCoreV1CustomerData5 brij.data.v1.ExpectedMonthlyPayments.Category: type: string enum: - USD_0K_1K - USD_1K_10K - USD_10K_50K - USD_50K_200K - USD_200K_PLUS title: brij.data.v1.ExpectedMonthlyPayments.Category brij.data.v1.ExpectedMonthlyPayments: type: object properties: category: $ref: '#/components/schemas/brij.data.v1.ExpectedMonthlyPayments.Category' title: brij.data.v1.ExpectedMonthlyPayments BrijCoreV1CustomerData6: type: object properties: expectedMonthlyPayments: $ref: '#/components/schemas/brij.data.v1.ExpectedMonthlyPayments' required: - expectedMonthlyPayments title: BrijCoreV1CustomerData6 brij.data.v1.IdDocumentType: type: string enum: - PASSPORT - DRIVERS_LICENSE - ID_CARD - RESIDENCE_PERMIT title: brij.data.v1.IdDocumentType brij.data.v1.IdDocument: type: object properties: documentType: $ref: '#/components/schemas/brij.data.v1.IdDocumentType' documentNumber: type: string issuingCountry: type: string expiryDate: type: string description: ISO 8601 date format frontSideImage: type: string format: byte frontSideImageHash: type: string backSideImage: type: string format: byte backSideImageHash: type: string title: brij.data.v1.IdDocument BrijCoreV1CustomerData7: type: object properties: idDocument: $ref: '#/components/schemas/brij.data.v1.IdDocument' required: - idDocument title: BrijCoreV1CustomerData7 brij.data.v1.Intermediary: type: object properties: isIntermediary: type: - boolean - 'null' title: brij.data.v1.Intermediary BrijCoreV1CustomerData8: type: object properties: intermediary: $ref: '#/components/schemas/brij.data.v1.Intermediary' required: - intermediary title: BrijCoreV1CustomerData8 brij.data.v1.LastOccupation: type: object properties: code: type: string description: 6-digit occupation code (e.g., "111011" for Chief executive) title: brij.data.v1.LastOccupation BrijCoreV1CustomerData9: type: object properties: lastOccupation: $ref: '#/components/schemas/brij.data.v1.LastOccupation' required: - lastOccupation title: BrijCoreV1CustomerData9 brij.data.v1.Name: type: object properties: firstName: type: string lastName: type: string title: brij.data.v1.Name BrijCoreV1CustomerData10: type: object properties: name: $ref: '#/components/schemas/brij.data.v1.Name' required: - name title: BrijCoreV1CustomerData10 brij.data.v1.Nationality: type: object properties: country: type: string description: ISO 3166-1 alpha-3 country code title: brij.data.v1.Nationality BrijCoreV1CustomerData11: type: object properties: nationality: $ref: '#/components/schemas/brij.data.v1.Nationality' required: - nationality title: BrijCoreV1CustomerData11 brij.data.v1.Occupation: type: object properties: jobTitle: type: string companyName: type: string industry: type: string employmentStatus: type: string description: e.g., "EMPLOYED", "SELF_EMPLOYED", "UNEMPLOYED", "STUDENT" title: brij.data.v1.Occupation BrijCoreV1CustomerData12: type: object properties: occupation: $ref: '#/components/schemas/brij.data.v1.Occupation' required: - occupation title: BrijCoreV1CustomerData12 brij.data.v1.Phone: type: object properties: countryCode: type: string number: type: string title: brij.data.v1.Phone BrijCoreV1CustomerData13: type: object properties: phone: $ref: '#/components/schemas/brij.data.v1.Phone' required: - phone title: BrijCoreV1CustomerData13 brij.data.v1.ProofOfAddress: type: object properties: file: type: string format: byte fileHash: type: string country: type: string description: ISO 3166-1 alpha-3 country code title: brij.data.v1.ProofOfAddress BrijCoreV1CustomerData14: type: object properties: proofOfAddress: $ref: '#/components/schemas/brij.data.v1.ProofOfAddress' required: - proofOfAddress title: BrijCoreV1CustomerData14 brij.data.v1.Address: type: object properties: streetLine1: type: string streetLine2: type: string city: type: string postalCode: type: string country: type: string subdivision: type: string title: brij.data.v1.Address BrijCoreV1CustomerData15: type: object properties: residentialAddress: $ref: '#/components/schemas/brij.data.v1.Address' required: - residentialAddress title: BrijCoreV1CustomerData15 brij.data.v1.Selfie: type: object properties: image: type: string format: byte imageHash: type: string title: brij.data.v1.Selfie BrijCoreV1CustomerData16: type: object properties: selfie: $ref: '#/components/schemas/brij.data.v1.Selfie' required: - selfie title: BrijCoreV1CustomerData16 brij.data.v1.SourceOfFunds.Type: type: string enum: - EMPLOYMENT_SALARY - EMPLOYMENT_FREELANCING - EMPLOYMENT_PROFESSIONAL_FEES - BUSINESS_PROFITS - BUSINESS_DIVIDENDS - BUSINESS_PROCEEDS - SAVINGS_BANK_ACCOUNTS - SAVINGS_FINANCIAL_INVESTMENTS - SAVINGS_INTEREST_GAINS - SALE_OF_ASSETS - FAMILY_INHERITANCE - FAMILY_DONATIONS - FAMILY_ALLOWANCE - COMPENSATION_SEVERANCE - COMPENSATION_INSURANCE - COMPENSATION_LEGAL_SETTLEMENTS - LOANS_BANK - LOANS_PRIVATE_FAMILY - LOANS_P2P_MICROFINANCE - PENSIONS_RETIREMENT - PENSIONS_SOCIAL_BENEFITS - CRYPTO_TRADING_PROFITS - CRYPTO_NFT_SALES - CRYPTO_STAKING_INCOME - CRYPTO_EXTERNAL_WALLETS - CRYPTO_EXCHANGES - CRYPTO_ICO_DEFI title: brij.data.v1.SourceOfFunds.Type brij.data.v1.SourceOfFunds: type: object properties: type: $ref: '#/components/schemas/brij.data.v1.SourceOfFunds.Type' title: brij.data.v1.SourceOfFunds BrijCoreV1CustomerData17: type: object properties: sourceOfFunds: $ref: '#/components/schemas/brij.data.v1.SourceOfFunds' required: - sourceOfFunds title: BrijCoreV1CustomerData17 brij.data.v1.TaxId: type: object properties: country: type: string description: 3-letter country code (ISO 3166-1 alpha-3) type: type: string description: Tax ID type (e.g., "SSN", "EIN", "VAT", "TIN") number: type: string description: Tax identification number customType: type: string title: brij.data.v1.TaxId BrijCoreV1CustomerData18: type: object properties: taxId: $ref: '#/components/schemas/brij.data.v1.TaxId' required: - taxId title: BrijCoreV1CustomerData18 brij.core.v1.CustomerData: oneOf: - $ref: '#/components/schemas/BrijCoreV1CustomerData0' - $ref: '#/components/schemas/BrijCoreV1CustomerData1' - $ref: '#/components/schemas/BrijCoreV1CustomerData2' - $ref: '#/components/schemas/BrijCoreV1CustomerData3' - $ref: '#/components/schemas/BrijCoreV1CustomerData4' - $ref: '#/components/schemas/BrijCoreV1CustomerData5' - $ref: '#/components/schemas/BrijCoreV1CustomerData6' - $ref: '#/components/schemas/BrijCoreV1CustomerData7' - $ref: '#/components/schemas/BrijCoreV1CustomerData8' - $ref: '#/components/schemas/BrijCoreV1CustomerData9' - $ref: '#/components/schemas/BrijCoreV1CustomerData10' - $ref: '#/components/schemas/BrijCoreV1CustomerData11' - $ref: '#/components/schemas/BrijCoreV1CustomerData12' - $ref: '#/components/schemas/BrijCoreV1CustomerData13' - $ref: '#/components/schemas/BrijCoreV1CustomerData14' - $ref: '#/components/schemas/BrijCoreV1CustomerData15' - $ref: '#/components/schemas/BrijCoreV1CustomerData16' - $ref: '#/components/schemas/BrijCoreV1CustomerData17' - $ref: '#/components/schemas/BrijCoreV1CustomerData18' title: brij.core.v1.CustomerData brij.data.v1.RequirementConfig: type: object properties: network: type: string title: brij.data.v1.RequirementConfig brij.core.v1.customer.CustomerRequirement.DataRequirement: type: object properties: type: $ref: '#/components/schemas/brij.data.v1.DataType' data: type: array items: $ref: '#/components/schemas/brij.core.v1.CustomerData' config: oneOf: - $ref: '#/components/schemas/brij.data.v1.RequirementConfig' - type: 'null' title: brij.core.v1.customer.CustomerRequirement.DataRequirement BrijCoreV1CustomerCustomerRequirement1: type: object properties: dataRequirement: $ref: >- #/components/schemas/brij.core.v1.customer.CustomerRequirement.DataRequirement required: - dataRequirement title: BrijCoreV1CustomerCustomerRequirement1 brij.core.v1.customer.CustomerRequirement: oneOf: - $ref: '#/components/schemas/BrijCoreV1CustomerCustomerRequirement0' - $ref: '#/components/schemas/BrijCoreV1CustomerCustomerRequirement1' description: Customer-specific requirement message title: brij.core.v1.customer.CustomerRequirement brij.core.v1.customer.ComplianceStatus: type: string enum: - COMPLIANCE_STATUS_PENDING - COMPLIANCE_STATUS_PROCESSING - COMPLIANCE_STATUS_REJECTED - COMPLIANCE_STATUS_SUCCESS description: Customer requirements title: brij.core.v1.customer.ComplianceStatus brij.core.v1.customer.GetOnboardingRequirementsResponse: type: object properties: requirements: type: array items: $ref: '#/components/schemas/brij.core.v1.customer.CustomerRequirement' complianceStatus: $ref: '#/components/schemas/brij.core.v1.customer.ComplianceStatus' title: brij.core.v1.customer.GetOnboardingRequirementsResponse securitySchemes: IntegratorApiKey: type: apiKey in: header name: X-API-Key CustomerAuthToken: type: http scheme: bearer ``` ## SDK Code Examples ```python import requests url = "https://api-demo.brij.fi/brij.core.v1.customer.Service/GetOnboardingRequirements" payload = {} headers = { "X-API-Key": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api-demo.brij.fi/brij.core.v1.customer.Service/GetOnboardingRequirements'; const options = { method: 'POST', headers: {'X-API-Key': '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api-demo.brij.fi/brij.core.v1.customer.Service/GetOnboardingRequirements" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("X-API-Key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api-demo.brij.fi/brij.core.v1.customer.Service/GetOnboardingRequirements") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["X-API-Key"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api-demo.brij.fi/brij.core.v1.customer.Service/GetOnboardingRequirements") .header("X-API-Key", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://api-demo.brij.fi/brij.core.v1.customer.Service/GetOnboardingRequirements', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', 'X-API-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api-demo.brij.fi/brij.core.v1.customer.Service/GetOnboardingRequirements"); var request = new RestRequest(Method.POST); request.AddHeader("X-API-Key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "X-API-Key": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-demo.brij.fi/brij.core.v1.customer.Service/GetOnboardingRequirements")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```